here-1.2.11: Here docs & interpolated strings via quasiquotation

Safe Haskell | None
Language | Haskell98

Data.String.Here.Uninterpolated

Description

Literal, uninterpolated here docs

Synopsis

- here :: QuasiQuoter
- hereFile :: QuasiQuoter
- hereLit :: QuasiQuoter

# Documentation

here :: QuasiQuoter #

Quote a here doc, stripping leading and trailing whitespace

hereFile :: QuasiQuoter #

Splice a file's contents as a here doc

hereLit :: QuasiQuoter #

Quote a here doc literally, with no whitespace stripping